## yamcha 0.33

=== swig/Makefile ===
SWIG = swig
PREFIX = YamCha

all: perl ruby python

clean:
	rm -f      *.pm *.cxx *.py
	
perl:	
	$(SWIG) -perl -shadow -c++ $(PREFIX).i
	mv -f $(PREFIX)_wrap.cxx ../perl
	mv -f $(PREFIX).pm ../perl

ruby:	
	$(SWIG) -ruby -c++ $(PREFIX).i
	mv -f $(PREFIX)_wrap.cxx ../ruby/$(PREFIX)_wrap.cpp
	
python:	
	$(SWIG) -python -shadow -c++ $(PREFIX).i
	mv -f $(PREFIX)_wrap.cxx ../python
	mv -f $(PREFIX).py ../python

java:
	$(SWIG) -java -c++ $(PREFIX).i
	mv -f $(PREFIX)_wrap.cxx ../java
	rm -fr exception.java SWIGTYPE_*.java
	mv -f *.java ../java

=== debian/changelog ===
yamcha (0.33-2) experimental; urgency=medium

  * Update Vcs-* fields.
  * Bump Standards-Version to 4.1.0.
    Support of nodoc option has been implemented.
  * Drop dbg package.
  * Drop unused  yamcha.lintian-overrides.
  * Add source lintian-overrides.
  * Add 1011_fix_gcc7_compilation.patch (Closes: #875993),
    1012_fix_training_installation.patch,
    1013_fix_spelling_errors.patch and
    1014_improve_test_suite_reliability.patch.
  * Install documentation using yamcha.docs and yamcha.manpages
    instead of using yamcha.install.
  * Allow building with any automake version.
  * Fix building cleanup.
  * Prevent empty changelog installation.
  * Drop autoconf copyright notes and update years in copyright file.
  * Update copyright_hints.
  * Implement nodoc option support.
  * Bump compatibility level to 11.
  * Add debhelper (>= 10.8~) build dependency.
  * Drop autotools-dev build dependency.

 -- Giulio Paci <giuliopaci@gmail.com>  Mon, 25 Sep 2017 21:55:13 +0200

yamcha (0.33-1) experimental; urgency=low

  * Initial release
    Closes: #668873.

 -- Giulio Paci <giuliopaci@gmail.com>  Sat, 22 Dec 2012 03:17:37 +0100

=== debian/control ===
Source: yamcha
Section: science
Priority: optional
Maintainer: Giulio Paci <giuliopaci@gmail.com>
Build-Depends: cdbs,
 debhelper (>= 10.8~),
 dh-buildinfo,
 licensecheck,
 libtool,
 automake,
 autoconf,
 dpkg-dev (>= 1.16.2),
 tinysvm,
 darts,
 swig,
 help2man,
 man2html
Standards-Version: 4.1.0
Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/yamcha.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/yamcha.git
Homepage: http://www.chasen.org/~taku/software/yamcha/

Package: yamcha
Architecture: any
Depends: libyamcha1 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Recommends: make, perl, tinysvm
Built-Using: ${misc:Built-Using}
Description: general purpose chunker annotator
 YamCha is a generic, customizable, and open source text chunker
 oriented toward a lot of NLP tasks, such as POS tagging, Named Entity
 Recognition, base NP chunking, and Text Chunking. YamCha is using a
 state-of-the-art machine learning algorithm called Support Vector
 Machines (SVMs), first introduced by Vapnik in 1995.

Package: libyamcha-dev
Architecture: any
Section: libdevel
Depends: libyamcha1 (= ${binary:Version}),
         ${misc:Depends}
Built-Using: ${misc:Built-Using}
Description: general purpose chunker annotator - development files
 YamCha is a generic, customizable, and open source text chunker
 oriented toward a lot of NLP tasks, such as POS tagging, Named Entity
 Recognition, base NP chunking, and Text Chunking. YamCha is using a
 state-of-the-art machine learning algorithm called Support Vector
 Machines (SVMs), first introduced by Vapnik in 1995.
 .
 This package provides development headers for YamCha.

Package: libyamcha1
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: general purpose chunker annotator - runtime library
 YamCha is a generic, customizable, and open source text chunker
 oriented toward a lot of NLP tasks, such as POS tagging, Named Entity
 Recognition, base NP chunking, and Text Chunking. YamCha is using a
 state-of-the-art machine learning algorithm called Support Vector
 Machines (SVMs), first introduced by Vapnik in 1995.
 .
 This package contains the YamCha runtime library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
include /usr/share/dpkg/buildflags.mk

DEB_MAKE_CHECK_TARGET := check
DEB_BUILD_PARALLEL := 1
DEB_DH_MAKESHLIBS_ARGS_ALL := -V -- -t

CFLAGS += -Wall -Wno-deprecated
CXXFLAGS += -Wall -Wno-deprecated

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_INSTALL_DOCS_ALL :=
DEB_INSTALL_CHANGELOGS_ALL :=
DEB_TAR_SRCDIR := .

DEB_AUTO_UPDATE_LIBTOOL = pre
DEB_AUTO_UPDATE_ACLOCAL = ,
DEB_ACLOCAL_ARGS = 
DEB_AUTO_UPDATE_AUTOMAKE = ,
DEB_AUTOMAKE_ARGS = --foreign --add-missing --copy
DEB_AUTO_UPDATE_AUTOCONF = 2.69
DEB_AUTO_UPDATE_AUTOHEADER = 2.69

BUILT_USING_SOURCES := $(shell dpkg-query -W -f='$${source:Package} (= $${source:Version})' darts)
DEB_DH_GENCONTROL_ARGS_yamcha := -- '-Vmisc:Built-Using=$(BUILT_USING_SOURCES)'

BACKUP=yamcha.spec perl/Makefile.PL ruby/extconf.rb python/setup.py \
 missing depcomp Makefile.in doc/Makefile.in man/Makefile.in src/Makefile.in tests/Makefile.in libexec/Makefile.in \
 configure aclocal.m4 config.h.in ltmain.sh \
 perl/YamCha.pm perl/YamCha_wrap.cxx \
 python/YamCha.py python/YamCha_wrap.cxx \
 ruby/YamCha_wrap.cpp \
 man/yamcha.1 doc/yamcha.html

pre-build::
	# Backup files expected to be modified.
	set -e ; for i in $(BACKUP); do \
		if [ ! -f "$$i".backup ]; then cp -a "$$i" "$$i".backup; fi ; \
	done
	make -C swig

ifeq "$(filter nodoc,$(DEB_BUILD_OPTIONS))" ""
common-install-prehook-impl::
	make update-man -C man
	make update-html -C doc
	mkdir -p debian/tmp/html
	cp -a doc/*.html doc/*.css doc/*.png debian/tmp/html
endif

clean::
	set -e ; for i in $(BACKUP); do \
		if [ -f "$$i".backup ]; then mv -f "$$i".backup "$$i"; fi ; \
	done
	$(RM) tests/tmp.log tests/tmp.model tests/tmp.result tests/tmp.se tests/tmp.svmdata tests/tmp.txtmodel.gz
	$(RM) compile test-driver

# Needed by upstream build process
CDBS_BUILD_DEPENDS += , dpkg-dev (>= 1.16.2) , tinysvm, darts, swig, help2man, man2html

=== debian/watch ===
version=3
http://www.chasen.org/~taku/software/yamcha/src/yamcha[-_](\d[\d\.]+)\.(?:tar\.(?:gz|bz2|lzma|xz)|tgz|zip|txz)
